MessagesController_searchGiphy
POST
/api/chat/streams/{streamId}/giphy/search
const url = 'https://api.streams-ai.com/api/chat/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/giphy/search';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"prompt":"example","excludeIds":["example"],"offset":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams-ai.com/api/chat/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/giphy/search \ --header 'Content-Type: application/json' \ --data '{ "prompt": "example", "excludeIds": [ "example" ], "offset": 1 }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”streamId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
prompt
required
string
excludeIds
Array<string>
offset
integer
Examplegenerated
{ "prompt": "example", "excludeIds": [ "example" ], "offset": 1}